### Class

# WebKit2WebExtension DOMTreeWalker

#### Description

    class WebKit2WebExtension.DOMTreeWalker : WebKit2WebExtension.DOMObject {
      parent_instance: WebKitDOMObject
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_tree_walker_first_child

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_get_current_node

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_get_expand_entity_references

This function has been removed from the DOM spec and it just returns `FALSE`.

deprecated: 2.12

###### webkit_dom_tree_walker_get_filter

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_get_root

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_get_what_to_show

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_last_child

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_next_node

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_next_sibling

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_parent_node

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_previous_node

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_previous_sibling

No description available.

deprecated: 2.22

###### webkit_dom_tree_walker_set_current_node

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMTreeWalker:current-node

No description available.

###### WebKit2WebExtension.DOMTreeWalker:filter

No description available.

###### WebKit2WebExtension.DOMTreeWalker:root

No description available.

###### WebKit2WebExtension.DOMTreeWalker:what-to-show

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMTreeWalkerClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`
  No description available.